# Uses of Class
javafx.geometry.Bounds

Packages that use Bounds
Package
Description
javafx.geometry
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located
javafx.scene.layout
Provides classes to support user interface layout.
javafx.scene.transform
Provides the set of convenient classes to perform rotating, scaling, shearing, and translation transformations for `Affine` objects.

## Uses of Bounds in javafx.geometry

Subclasses of Bounds in javafx.geometry
Modifier and Type
Class
Description
`class`
`BoundingBox`
A rectangular bounding box which is used to describe the bounds of a node or other scene graph object.
Methods in javafx.geometry with parameters of type Bounds
Modifier and Type
Method
Description
`boolean`
BoundingBox.`contains(Bounds b)`
Tests if the interior of this `Bounds` entirely contains the specified Bounds, `b`.
`abstract boolean`
Bounds.`contains(Bounds b)`
Tests if the interior of this `Bounds` entirely contains the specified Bounds, `b`.
`boolean`
BoundingBox.`intersects(Bounds b)`
Tests if the interior of this `Bounds` intersects the interior of a specified Bounds, `b`.
`abstract boolean`
Bounds.`intersects(Bounds b)`
Tests if the interior of this `Bounds` intersects the interior of a specified Bounds, `b`.

## Uses of Bounds in javafx.scene

Methods in javafx.scene that return Bounds
Modifier and Type
Method
Description
`final Bounds`
Node.`getBoundsInLocal()`
Gets the value of the `boundsInLocal` property.
`final Bounds`
Node.`getBoundsInParent()`
Gets the value of the `boundsInParent` property.
`final Bounds`
Node.`getLayoutBounds()`
Gets the value of the `layoutBounds` property.
`Bounds`
Node.`localToParent(Bounds localBounds)`
Transforms a bounds from the local coordinate space of this `Node` into the coordinate space of its parent.
`Bounds`
Node.`localToScene(Bounds localBounds)`
Transforms a bounds from the local coordinate space of this `Node` into the coordinate space of its scene.
`Bounds`
Node.`localToScene(Bounds localBounds, boolean rootScene)`
Transforms a bounds from the local coordinate space of this `Node` into the coordinate space of its scene.
`Bounds`
Node.`localToScreen(Bounds localBounds)`
Transforms a bounds from the local coordinate space of this `Node` into the coordinate space of its `Screen`.
`Bounds`
Node.`parentToLocal(Bounds parentBounds)`
Transforms a rectangle from the coordinate space of the parent into the local coordinate space of this `Node`.
`Bounds`
Node.`sceneToLocal(Bounds sceneBounds)`
Transforms a rectangle from the coordinate space of the scene into the local coordinate space of this `Node`.
`Bounds`
Node.`sceneToLocal(Bounds bounds, boolean rootScene)`
Transforms a bounds from the coordinate space of the scene into the local coordinate space of this `Node`.
`Bounds`
Node.`screenToLocal(Bounds screenBounds)`
Transforms a rectangle from the coordinate space of the `Screen` into the local coordinate space of this `Node`.
Methods in javafx.scene that return types with arguments of type Bounds
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<Bounds>`
Node.`boundsInLocalProperty()`
The rectangular bounds of this `Node` in the node's untransformed local coordinate space.
`final ReadOnlyObjectProperty<Bounds>`
Node.`boundsInParentProperty()`
The rectangular bounds of this `Node` which include its transforms.
`final ReadOnlyObjectProperty<Bounds>`
Node.`layoutBoundsProperty()`
The rectangular bounds that should be used for layout calculations for this node.
Methods in javafx.scene with parameters of type Bounds
Modifier and Type
Method
Description
`boolean`
Node.`intersects(Bounds localBounds)`
Returns `true` if the given bounds (specified in the local coordinate space of this `Node`) intersects the shape of this `Node`.
`Bounds`
Node.`localToParent(Bounds localBounds)`
Transforms a bounds from the local coordinate space of this `Node` into the coordinate space of its parent.
`Bounds`
Node.`localToScene(Bounds localBounds)`
Transforms a bounds from the local coordinate space of this `Node` into the coordinate space of its scene.
`Bounds`
Node.`localToScene(Bounds localBounds, boolean rootScene)`
Transforms a bounds from the local coordinate space of this `Node` into the coordinate space of its scene.
`Bounds`
Node.`localToScreen(Bounds localBounds)`
Transforms a bounds from the local coordinate space of this `Node` into the coordinate space of its `Screen`.
`Bounds`
Node.`parentToLocal(Bounds parentBounds)`
Transforms a rectangle from the coordinate space of the parent into the local coordinate space of this `Node`.
`Bounds`
Node.`sceneToLocal(Bounds sceneBounds)`
Transforms a rectangle from the coordinate space of the scene into the local coordinate space of this `Node`.
`Bounds`
Node.`sceneToLocal(Bounds bounds, boolean rootScene)`
Transforms a bounds from the coordinate space of the scene into the local coordinate space of this `Node`.
`Bounds`
Node.`screenToLocal(Bounds screenBounds)`
Transforms a rectangle from the coordinate space of the `Screen` into the local coordinate space of this `Node`.

## Uses of Bounds in javafx.scene.control

Methods in javafx.scene.control that return Bounds
Modifier and Type
Method
Description
`final Bounds`
ScrollPane.`getViewportBounds()`
Gets the value of the `viewportBounds` property.
Methods in javafx.scene.control that return types with arguments of type Bounds
Modifier and Type
Method
Description
`final ObjectProperty<Bounds>`
ScrollPane.`viewportBoundsProperty()`
The actual Bounds of the ScrollPane Viewport.
Methods in javafx.scene.control with parameters of type Bounds
Modifier and Type
Method
Description
`final void`
ScrollPane.`setViewportBounds(Bounds value)`
Sets the value of the `viewportBounds` property.

## Uses of Bounds in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return Bounds
Modifier and Type
Method
Description
`Bounds`
TextAreaSkin.`getCaretBounds()`
Gets the `Bounds` of the caret of the skinned `TextArea`.

## Uses of Bounds in javafx.scene.layout

Methods in javafx.scene.layout that return Bounds
Modifier and Type
Method
Description
`final Bounds`
GridPane.`getCellBounds(int columnIndex, int rowIndex)`
Returns the bounds of the cell at the specified column and row position.

## Uses of Bounds in javafx.scene.transform

Methods in javafx.scene.transform that return Bounds
Modifier and Type
Method
Description
`Bounds`
Transform.`inverseTransform(Bounds bounds)`
Transforms the specified bounds by the inverse of this transform.
`Bounds`
Transform.`transform(Bounds bounds)`
Transforms the specified bounds by this transform.
Methods in javafx.scene.transform with parameters of type Bounds
Modifier and Type
Method
Description
`Bounds`
Transform.`inverseTransform(Bounds bounds)`
Transforms the specified bounds by the inverse of this transform.
`boolean`
Transform.`similarTo(Transform transform, Bounds range, double maxDelta)`
Checks if this transform is similar to the specified transform.
`Bounds`
Transform.`transform(Bounds bounds)`
Transforms the specified bounds by this transform.